from __future__ import annotations
from json import loads as jsonloads

from habitmove.parser import Parser


class NomieParser(Parser):
    def __init__(self, data="{}") -> None:
        """Load a data set and prepare parser data"""
        self.data = jsonloads(data)

    def extract_version(self) -> str:
        return self.data["nomie"]["number"]
